Skip to content

Import a submission into your Vault.

Before submitting this request:

  • You must be assigned permissions to use the API and have permissions to view and edit the specified submission__v object record.
  • You must create the corresponding object records for the Submission and Application objects in your Vault.
  • You must create and upload a valid submission import file or folder to your file staging server. The submission to import must be in a specific location and format.

Submission Import File Location & Structure

Section link for Submission Import File Location & Structure

The submission import file must be located in one of the following places, and must be in a specific folder structure.

If your submission import is located at the file staging server root, it must follow the following structure:

/SubmissionsArchive/``{application_folder}``/``{submission_file_or_folder}

  • {application_folder}: This required folder can have any name you wish.
  • {submission_file_or_folder}: If this is a file containing your submission, it must be a .zip or .tar.gz. If this is a folder, it must contain your submission to import. This required folder can have any name you wish.

For example, /SubmissionsArchive/``nda654321``/``0001.zip.

In some cases, your Vault user permissions may prevent you from uploading directly to the file staging server root. In these cases, you must upload to your user folder using the following structure:

/u[ID]/Submissions Archive Import/``{application_folder}``/``{submission_folder}

  • {application_folder}: This required folder can have any name you wish.
  • {submission_folder}: The folder containing your submission to import. This required folder can have any name you wish. Vault does not support importing .zip or .tar.gz files from user folders.

For example, /u5678/Submissions Archive Import/``nda123456``/``0013.

POST/api/{version}/vobjects/submission__v/{submission_id}/actions/import
NameDescription
Content-Typeapplication/x-www-form-urlencoded
Acceptapplication/json (default) or application/xml
NameDescription
{submission_id}The id field value of the submission__v object record. To get this value, you can Retrieve Object Record Collection for submission__v.
NameDescription
fileUse the file parameter to specify the location of the submission folder or ZIP file previously uploaded to your file staging server. In the request, add the file parameter to your input and enter the path to the submission folder relative to the file staging server root, for example, /SubmissionsArchive/nda123456/0000, or to the path to your user file staging folder, for example, /u5678/Submissions Archive Import/nda123456/0000. Vault does not support importing .zip or .tar.gz files from user folders.
curl -X POST -H "Authorization: {SESSION_ID}" \ -H "Content-Type: application/x-www-form-urlencoded" \ -d "file=/nda123456/0000" \ https://myvault.veevavault.com/api/v23.1/vobjects/submission__v/00S000000000101/actions/import
{ "responseStatus": "SUCCESS", "warnings": [ { "type": "APPLICATION_MISMATCH", "message": "Application folder name does not match the Application record name." }, { "type": "SUBMISSION_MISMATCH", "message": "Submission folder name does not match the Submission record name." } ], "job_id": 1301, "url": "/api/v23.1/services/jobs/1301" }

On SUCCESS, the response includes the following information:

  • job_id - The Job ID value is used to retrieve the status and results of the binder export request.
  • url - The URL to retrieve the current status of the import request.

You may also receive one or more warnings. The warnings shown above indicate that the folders being imported do not match the object records in our Vault. To fix this warning, we can change the folder name or object record name. However, warnings are not fatal and you may choose to take no action.

Before submitting this request, we created a submission__v object record and application__v object record in our Vault. We also created submissions ZIP file containing a "Submission" folder and "Application" folder. This was loaded to our file staging server awaiting import. Ideally, we would have named and structured the folders to match that of the submission that was sent to the health authority and which we are now archiving. However, this is not critical to the import process.